%{
===========================================================================
Code provided by Yichuan (Charlie) Tang
homepage: www.cs.toronto.edu/~tang

Permission is granted for anyone to copy, use, modify, or distribute this
program and accompanying programs and documents for any purpose, provided
this copyright notice is retained and prominently displayed, along with
a note saying that the original programs are available from our
web page.
The programs and documents are distributed without any warranty, express or
implied.  As the programs were written for research purposes only, they 
have not been tested to the degree that would be advisable in any important
application.  All use of these programs is entirely at the user's own risk.

this script test the Zero mean trick to training RBMs

6/2012
changelog:
===========================================================================
%}

clear all;
rand('twister', 1785);

makebatches;
batchdata = batchdata > rand(size(batchdata));
testbatchdata = testbatchdata > rand(size(testbatchdata));

NEGATIVE = 0;

if NEGATIVE
    batchdata = 1-batchdata;
    testbatchdata = 1-testbatchdata;
end

%% Learnng with standard RBM CD1
maxepoch = 5;
numhid = 500;
restart = 1;
rbm;

%% Learning with Data Normalization
maxepoch = 5;
numhid = 500;
restart = 1;
rbm_zm_wtconstraint;

